# Jigsaw

The simplest way to run Jigsaw is by invoking the java interpreter on the w3c.httpd.core.httpd class. Your command line will generally look like:

`java w3c.httpd.core.httpd -p property-file`

## Command line options

The jhttpd class will recognize the following command line options:

-port port
  The port on which the server should listen for new incomming connections. This is similar to setting the w3c.httpd.port property, and overrides it.
-host host
  The full name of the machine running Jigsaw. This is used when the server generates link to itself.
-root root-directory
  The name of the root directory in which Jigsaw should run. This overrides any setting of the w3c.httpd.root property.
-space space-directory
  The name of the space directory (the directory to be exported). This overrides any setting of the w3c.httpd.space property.
-p property-file
  Tells the server to read properties from the given property file. Although not mandatory, this option is probably the one that you will use the most frequently.
-trace
  Turns all debugging on. This is similar to setting both the w3c.httpd.trace and the w3c.httpd.client.debug to true.

Jigsaw Team
$Id: jhttpd.html,v 1.2 1997/07/31 08:20:36 ylafon Exp $